package com.hp.user.client.entity;

import java.util.Date;

/**
 * <p>
 * 企业/公司
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */

public class CustomerCompanyVO {
    /**
     * 客户Id
     */
    private Long customerId;
    /**
     * 企业名称
     */
    private String name;
    /**
     * 企业类型；0服务商，1一般企业
     */
    private Short type;
    /**
     * 所属行业编码
     */
    private Short industryCode;
    /**
     * 经度
     */
    private String longitude;
    /**
     * 纬度
     */
    private String latitude;
    /**
     * 企业税号
     */
    private String enterpriseTaxNumber;
    /**
     * 营业执照
     */
    private String businessLicense;
    /**
     * 企业联系人
     */
    private String businessContact;
    /**
     * 手机号
     */
    private String phoneNumber;
    /**
     * 创建时间
     */
    private Date sysCreateTime;
    /**
     * 创建用户Id
     */
    private Long sysCreator;
    /**
     * 更新时间
     */
    private Date sysUpdateTime;
    /**
     * 更新用户Id
     */
    private Long sysUpdater;

    public CustomerCompanyVO(){}

    public CustomerCompanyVO(Long customerId, String name, Short type, Short industryCode, String longitude, String latitude, String enterpriseTaxNumber, String businessLicense, String businessContact, String phoneNumber, Date sysCreateTime, Long sysCreator, Date sysUpdateTime, Long sysUpdater) {
        this.customerId = customerId;
        this.name = name;
        this.type = type;
        this.industryCode = industryCode;
        this.longitude = longitude;
        this.latitude = latitude;
        this.enterpriseTaxNumber = enterpriseTaxNumber;
        this.businessLicense = businessLicense;
        this.businessContact = businessContact;
        this.phoneNumber = phoneNumber;
        this.sysCreateTime = sysCreateTime;
        this.sysCreator = sysCreator;
        this.sysUpdateTime = sysUpdateTime;
        this.sysUpdater = sysUpdater;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Short getType() {
        return type;
    }

    public void setType(Short type) {
        this.type = type;
    }

    public Short getIndustryCode() {
        return industryCode;
    }

    public void setIndustryCode(Short industryCode) {
        this.industryCode = industryCode;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getEnterpriseTaxNumber() {
        return enterpriseTaxNumber;
    }

    public void setEnterpriseTaxNumber(String enterpriseTaxNumber) {
        this.enterpriseTaxNumber = enterpriseTaxNumber;
    }

    public String getBusinessLicense() {
        return businessLicense;
    }

    public void setBusinessLicense(String businessLicense) {
        this.businessLicense = businessLicense;
    }

    public String getBusinessContact() {
        return businessContact;
    }

    public void setBusinessContact(String businessContact) {
        this.businessContact = businessContact;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public Date getSysCreateTime() {
        return sysCreateTime;
    }

    public void setSysCreateTime(Date sysCreateTime) {
        this.sysCreateTime = sysCreateTime;
    }

    public Long getSysCreator() {
        return sysCreator;
    }

    public void setSysCreator(Long sysCreator) {
        this.sysCreator = sysCreator;
    }

    public Date getSysUpdateTime() {
        return sysUpdateTime;
    }

    public void setSysUpdateTime(Date sysUpdateTime) {
        this.sysUpdateTime = sysUpdateTime;
    }

    public Long getSysUpdater() {
        return sysUpdater;
    }

    public void setSysUpdater(Long sysUpdater) {
        this.sysUpdater = sysUpdater;
    }
}
