package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;


/**
 * <p>
 * 用户信息表
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */

//@EqualsAndHashCode(callSuper = false)
//@Accessors(chain = true)
@TableName("tb_account")
public class Account implements Serializable {
    /**
     * 用户Id
     */
    @TableId(value = "user_id")
    private Long userId;
    /**
     * 用户名
     */
    private String userName;
    /**
     * 微信号
     */
    private String wxNumber;
    /**
     * 电话号码
     */
    private String phone;
    /**
     * 创建时间
     */
    private Date sysCreateTime;
    /**
     * 创建用户Id
     */
    private Long sysCreator;
    /**
     * 更新时间
     */
    private Date sysUpdateTime;
    /**
     * 更新用户Id
     */
    private Long sysUpdater;

    public Account(){}

    public Account(Long userId, String userName, String wxNumber, String phone, Date sysCreateTime, Long sysCreator, Date sysUpdateTime, Long sysUpdater) {
        this.userId = userId;
        this.userName = userName;
        this.wxNumber = wxNumber;
        this.phone = phone;
        this.sysCreateTime = sysCreateTime;
        this.sysCreator = sysCreator;
        this.sysUpdateTime = sysUpdateTime;
        this.sysUpdater = sysUpdater;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getWxNumber() {
        return wxNumber;
    }

    public void setWxNumber(String wxNumber) {
        this.wxNumber = wxNumber;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Date getSysCreateTime() {
        return sysCreateTime;
    }

    public void setSysCreateTime(Date sysCreateTime) {
        this.sysCreateTime = sysCreateTime;
    }

    public Long getSysCreator() {
        return sysCreator;
    }

    public void setSysCreator(Long sysCreator) {
        this.sysCreator = sysCreator;
    }

    public Date getSysUpdateTime() {
        return sysUpdateTime;
    }

    public void setSysUpdateTime(Date sysUpdateTime) {
        this.sysUpdateTime = sysUpdateTime;
    }

    public Long getSysUpdater() {
        return sysUpdater;
    }

    public void setSysUpdater(Long sysUpdater) {
        this.sysUpdater = sysUpdater;
    }
}
